<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>カート</title>
<link rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk"
	crossorigin="anonymous">
</head>
<body style="background-color: snow">
 <nav class="navbar navbar-light" style="background-color: black;">
        <ul class="nav">
		<li class="dropdown" style="list-style: none">
            <a href="index" class="navbar-link index-link" style="color: white; font-size: 40px"><p class="sample09; font-italic">COCO CLOSET</p></a></li>　
           </ul>
		<ul class="nav justify-content-end">
            <li class="navbar-text" style="color: darkgray">${userInfo.name}さん
			</li>　　
			<li class="dropdown"><a href="LogoutServlet"
				class="navbar-link logout-link" style="color: #ff3300;">ログアウト</a></li>
		</ul>
	</nav>
        <br>
	   <br>
    <br>
    <div align="center">
	<div class="container">
		<div class="row center">
			<h2 class=" col s12 light">カート</h2>
		</div>
        <br>
		<div class="section">
			<form action="ItemDelete" method="POST">
				<div class="row">
					<div class="col s12">
						<div class="col s6 center-align">
                            <button class="btn btn-outline-secondary" type="submit" name="action">　
								削除　</button>
							　<button type="button" class="btn btn-outline-warning">買い物を続ける
							</button>
							　<button href="buyconfirm.html" type="button" class="btn btn-outline-info">　レジに進む　</button>
						</div>
					</div>
				</div>
                <br>
                <br>
				<div class="row">
					<c:forEach var="item" items="${cart}" varStatus="status">
					<div class="col s12 m3">
						<div class="card">
							<div class="card-image">
								<a href="Item?item_id=${item.id}"><img src="img/${item.fileName}"> </a>
							</div>
							<div class="card-content">
								<span class="card-title">${item.name}</span>
								<p>${item.formatPrice}円
								</p>
								<p>
									<input type="checkbox" id="${status.index}" name="delete_item_id_list" value="${item.id}" /> <label for="${status.index}">削除</label>
								</p>
							</div>
						</div>
					</div>
					<c:if test="${(status.index+1) % 4 == 0 }">
				<div class="row">
                    </div>
					</c:if>
					</c:forEach>
				</div>
			</form>
		</div>
	</div>
    </div>
    <br>
    <br>
    <div align="left">
		<a class="btn btn-link" href = "itemdetailServlet">
			<u>戻る</u>
		</a>
	</div>
</body>
</html>